(function(global, document, $, ajax, JSON, App, tvKeyValue, widgetApi) {

    var S = function() {};

    S.prototype = new VideoScene();

    /** 
     * dom - DIV element
     * url - video URL
     **/
    S.prototype.init = function(dom, url) {
        var self = this;

        VideoScene.prototype.init.apply(this, arguments);

        self.setControlTipsUi([
            { icon: "back", title: "Назад" }
        ]);

		this._url = url;
    };

	S.prototype.onPlayerRenderingComplete = function() {
		this.stopVideo();
	}
	
    S.prototype.finish = function() { VideoScene.prototype.finish.apply(this) };

    /*S.prototype.onBeforePlay = function() {
		if (this.plugin.SetDisplayArea) {
			var w
			  , h = this.dom.height()
			  , x = 0
			  , y = 0;

			w = Math.round(h * 4 / 3);
			x = (this.dom.width() - w)/2;

			this.plugin.SetDisplayArea(x, y, w, h);
		}
    }*/

    S.prototype.onStart = function(isResumed, finishedSceneName, finishedSceneResult) {
        this.showLoading();

        this.setVideoRegion(0, 0, this.dom.width(), this.dom.height());

        this.startVideo(this._url);
    };
    S.prototype.onPause = function() {
        VideoScene.prototype.onPause.apply(this); 
        this.stopVideo();
    };

    App.registerSceneClass(S, 'FullScreenVideo');

})(this, document, jQuery, ajax, JSON, App, App.tvKeyValue, App.widgetApi);
